net.minecraft.inventory

## Class SlotCrafting

- java.lang.Object
- - net.minecraft.inventory.Slot
  - - net.minecraft.inventory.SlotCrafting

-     public class SlotCrafting
      extends Slot

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.inventory.Slot

      `inventory, slotNumber, xDisplayPosition, yDisplayPosition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlotCrafting(EntityPlayer par1EntityPlayer, IInventory par2IInventory, IInventory par3IInventory, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemStack` | `decrStackSize(int par1)` Decrease the size of the stack in slot (first int arg) by the amount of the second int arg.
    `boolean` | `isItemValid(ItemStack par1ItemStack)` Check if the stack is a valid item for this slot.
    `void` | `onPickupFromSlot(EntityPlayer par1EntityPlayer, ItemStack par2ItemStack)`

    - ### Methods inherited from class net.minecraft.inventory.Slot

      `canTakeStack, func_111238_b, getBackgroundIconIndex, getBackgroundIconTexture, getHasStack, getSlotIndex, getSlotStackLimit, getStack, isSlotInInventory, onSlotChange, onSlotChanged, putStack, setBackgroundIcon, setBackgroundIconTexture`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlotCrafting

          public SlotCrafting(EntityPlayer par1EntityPlayer,
                      IInventory par2IInventory,
                      IInventory par3IInventory,
                      int par4,
                      int par5,
                      int par6)

  - ### Method Detail

    - #### isItemValid

          public boolean isItemValid(ItemStack par1ItemStack)

      Check if the stack is a valid item for this slot. Always true beside for the armor slots.
      Overrides:
        `isItemValid` in class `Slot`

    - #### decrStackSize

          public ItemStack decrStackSize(int par1)

      Decrease the size of the stack in slot (first int arg) by the amount of the second int arg. Returns the new stack.
      Overrides:
        `decrStackSize` in class `Slot`

    - #### onPickupFromSlot

          public void onPickupFromSlot(EntityPlayer par1EntityPlayer,
                              ItemStack par2ItemStack)

      Overrides:
        `onPickupFromSlot` in class `Slot`